package shop.alien.util.common.safe;

import lombok.Getter;

/**
 * 图片审核服务枚举
 */
@Getter
public enum ImageReviewServiceEnum {

    BASELINE_CHECK("baselineCheck", "通用基线检测", "检测图片中是否存在色情、涉政、暴恐、违禁等红线类的违规内容。", "通用场景"),
    BASELINE_CHECK_PRO("baselineCheck_pro", "通用基线检测_专业版", "在通用基线检测的基础上支持更细粒度的标签返回。", "通用场景"),
    TONALITY_IMPROVE("tonalityImprove", "内容治理检测", "检测图片中是否存在广告引流、不良引导、辱骂等影响平台秩序、内容调性或影响用户体验的内容。", "通用场景"),
    PROFILE_PHOTO_CHECK("profilePhotoCheck", "头像图片检测", "检测头像中是否存在违规、不宜传播或者影响平台秩序的内容。建议对头像场景的图片均进行该项检测。", "业务场景"),
    POST_IMAGE_CHECK("postImageCheck", "帖子评论图片检测", "检测帖子中图片或者评论中图片是否存在违规、不宜传播或者影响平台秩序的内容。建议对贴图评论场景的图片均进行该项检测。", "业务场景"),
    AIGC_CHECK("aigcCheck", "AIGC图片风险检测", "针对AIGC场景，检测AIGC生成的图片是否存在违规或者不宜传播的内容。建议AIGC生成的图片都进行该项检测。", "AIGC场景"),
    AIGC_DETECTOR("aigcDetector", "AIGC图片生成判定", "针对各种场景，判断图片是否由AIGC生成。建议需要对图片的来源进行标识时使用。", "AIGC场景"),
    AIGC_DETECTOR_PRO("aigcDetector_pro", "AIGC图片生成判定_专业版", "在判断图片是否由AIGC生成的基础上，增加判断图片是否疑似合成，是否有PS痕迹的检测能力。", "AIGC场景"),
    AIGC_VIOLATION_DETECTION("aigcViolationDetection", "AIGC图片侵权检测", "针对AIGC场景，检测AIGC生成的图片是否存在侵权风险。建议AIGC生成的用于素材、宣传类的图片都进行该项检测。", "AIGC场景"),
    ADVERTISING_CHECK("advertisingCheck", "营销素材检测", "针对有推广含义的图片（包括商品图、详情介绍页、投放营销的素材等）进行专门优化，检测是否有违反广告法以及其他违规或不宜传播的内容。", "业务场景"),
    LIVE_STREAM_CHECK("liveStreamCheck", "视频\\直播截图检测", "检测视频/直播画面是否存在违规或不宜传播的内容。建议对涉及开放公网访问的视频/直播画面均可截图进行该项检测。", "业务场景"),
    POST_IMAGE_CHECK_BY_VL("postImageCheckByVL", "大小模型融合图片审核服务", "综合应用图片审核大模型和专家模型能力，能够全方位识别图片中的色情、性感、涉政、暴恐、违禁、宗教、引流广告、不良等违规内容。", "通用场景"),
    BASELINE_CHECK_BY_VL("baselineCheckByVL", "通用图片审核大模型服务", "基于图片审核场景定制训练的审核大模型，能够识别图片中的涉黄、涉政、暴恐、违禁、不良、辱骂、广告等风险。支持返回大模型的原始结果。", "通用场景"),
    OSS_BASELINE_CHECK("oss_baselineCheck", "OSS基线检测（OSS普惠版专用）", "适用于OSS检测图片中是否存在违规或不宜传播的内容，包含对黑产类图片识别能力。", "通用场景"),
    BAILIAN_QUERY_IMAGE_CHECK("bailianQueryImageCheck", "百炼输入图片检测", "百炼图片输入场景专用，检测图片中是否存在色情、性感、涉政、暴恐、违禁、宗教、广告引流、特殊标识、行为、特定物体、不良等违规内容。", "百炼场景"),
    BAILIAN_RESPONSE_IMAGE_CHECK("bailianResponseImageCheck", "百炼生成图片检测", "百炼图片输出场景专用，检测图片中是否存在色情、性感、涉政、暴恐、违禁、宗教、广告引流、特殊标识、行为、特定物体、不良等违规内容。", "百炼场景"),
    GENERAL_RECOGNITION("generalRecognition", "图片万物识别", "基于大模型能力，能识别图片中的多种元素并返回元素标签和置信度。", "特殊场景"),
    IMG_QUERY_SECURITY_CHECK("img_query_security_check", "cts.pictureReviews.ruleConfig.service.img_query_security_check", "cts.pictureReviews.ruleConfig.service.description.img_query_security_check", "--"),
    IMG_RESPONSE_SECURITY_CHECK("img_response_security_check", "cts.pictureReviews.ruleConfig.service.img_response_security_check", "cts.pictureReviews.ruleConfig.service.description.img_response_security_check", "--"),
    RISK_DETECTION("riskDetection", "恶意图片检测", "检测图片中隐藏的视频、播放器等风险内容。建议在存储图片和CDN流量发现异常，疑似被黑产攻击时调用。", "特殊场景");

    private final String service;
    private final String serviceName;
    private final String serviceDescription;
    private final String serviceScene;

    ImageReviewServiceEnum(String service, String serviceName, String serviceDescription, String serviceScene) {
        this.service = service;
        this.serviceName = serviceName;
        this.serviceDescription = serviceDescription;
        this.serviceScene = serviceScene;
    }


}